Index: squid/auth_modules/LDAP/LDAP_auth.mak
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/LDAP/Attic/LDAP_auth.mak,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.2.2.1
diff -u -r1.1.2.2 -r1.1.2.2.2.1
--- squid/auth_modules/LDAP/LDAP_auth.mak	30 Jun 2001 18:49:42 -0000	1.1.2.2
+++ squid/auth_modules/LDAP/LDAP_auth.mak	27 Aug 2001 21:48:15 -0000	1.1.2.2.2.1
@@ -39,11 +39,11 @@
 
 !IF "$(RECURSE)" == "0" 
 
-ALL : "$(OUTDIR)\LDAP_auth.dll"
+ALL : "$(OUTDIR)\LDAP_auth.exe"
 
 !ELSE 
 
-ALL : "miscutil - Win32 Release" "$(OUTDIR)\LDAP_auth.dll"
+ALL : "miscutil - Win32 Release" "$(OUTDIR)\LDAP_auth.exe"
 
 !ENDIF 
 
@@ -55,27 +55,25 @@
 	-@erase "$(INTDIR)\LDAP_auth.res"
 	-@erase "$(INTDIR)\squid_ldap_auth.obj"
 	-@erase "$(INTDIR)\vc60.idb"
-	-@erase "$(OUTDIR)\LDAP_auth.dll"
-	-@erase "$(OUTDIR)\LDAP_auth.exp"
+	-@erase "$(OUTDIR)\LDAP_auth.exe"
 
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /MT /W3 /GX /O2 /I "..\..\include" /I "..\..\src" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "LDAP_AUTH_EXPORTS" /Fp"$(INTDIR)\LDAP_auth.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
-MTL_PROJ=/nologo /D "NDEBUG" /mktyplib203 /win32 
-RSC_PROJ=/l 0x410 /fo"$(INTDIR)\LDAP_auth.res" /d "NDEBUG" 
+CPP_PROJ=/nologo /MT /W3 /GX /O2 /I "../../include" /I "../" /I "../../src" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /Fp"$(INTDIR)\LDAP_auth.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c 
+RSC_PROJ=/l 0x419 /fo"$(INTDIR)\LDAP_auth.res" /d "NDEBUG" 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\LDAP_auth.bsc" 
 BSC32_SBRS= \
 	
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib advapi32.lib wldap32.lib /nologo /dll /incremental:no /pdb:"$(OUTDIR)\LDAP_auth.pdb" /machine:I386 /out:"$(OUTDIR)\LDAP_auth.dll" /implib:"$(OUTDIR)\LDAP_auth.lib" 
+LINK32_FLAGS=kernel32.lib wldap32.lib /nologo /subsystem:console /incremental:no /pdb:"$(OUTDIR)\LDAP_auth.pdb" /machine:I386 /out:"$(OUTDIR)\LDAP_auth.exe" 
 LINK32_OBJS= \
 	"$(INTDIR)\squid_ldap_auth.obj" \
 	"$(INTDIR)\LDAP_auth.res" \
 	"..\..\win\miscutil\Release\miscutil.lib"
 
-"$(OUTDIR)\LDAP_auth.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
+"$(OUTDIR)\LDAP_auth.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
@@ -90,11 +88,11 @@
 
 !IF "$(RECURSE)" == "0" 
 
-ALL : "$(OUTDIR)\LDAP_auth.dll"
+ALL : "$(OUTDIR)\LDAP_auth.exe" "$(OUTDIR)\LDAP_auth.bsc"
 
 !ELSE 
 
-ALL : "miscutil - Win32 Debug" "$(OUTDIR)\LDAP_auth.dll"
+ALL : "miscutil - Win32 Debug" "$(OUTDIR)\LDAP_auth.exe" "$(OUTDIR)\LDAP_auth.bsc"
 
 !ENDIF 
 
@@ -105,31 +103,37 @@
 !ENDIF 
 	-@erase "$(INTDIR)\LDAP_auth.res"
 	-@erase "$(INTDIR)\squid_ldap_auth.obj"
+	-@erase "$(INTDIR)\squid_ldap_auth.sbr"
 	-@erase "$(INTDIR)\vc60.idb"
 	-@erase "$(INTDIR)\vc60.pdb"
-	-@erase "$(OUTDIR)\LDAP_auth.dll"
-	-@erase "$(OUTDIR)\LDAP_auth.exp"
+	-@erase "$(OUTDIR)\LDAP_auth.bsc"
+	-@erase "$(OUTDIR)\LDAP_auth.exe"
 	-@erase "$(OUTDIR)\LDAP_auth.ilk"
 	-@erase "$(OUTDIR)\LDAP_auth.pdb"
 
 "$(OUTDIR)" :
     if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"
 
-CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /I "..\..\include" /I "..\..\src" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_MBCS" /D "_USRDLL" /D "LDAP_AUTH_EXPORTS" /Fp"$(INTDIR)\LDAP_auth.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
-MTL_PROJ=/nologo /D "_DEBUG" /mktyplib203 /win32 
-RSC_PROJ=/l 0x410 /fo"$(INTDIR)\LDAP_auth.res" /d "_DEBUG" 
+CPP_PROJ=/nologo /MTd /W3 /Gm /GX /ZI /Od /I "../../include" /I "../" /I "../../src" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "UNLINK_DAEMON" /D DEFAULT_CONFIG_FILE=\"squid.conf\" /FR"$(INTDIR)\\" /Fp"$(INTDIR)\LDAP_auth.pch" /YX /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /GZ /c 
+RSC_PROJ=/l 0x419 /fo"$(INTDIR)\LDAP_auth.res" /d "_DEBUG" 
 BSC32=bscmake.exe
 BSC32_FLAGS=/nologo /o"$(OUTDIR)\LDAP_auth.bsc" 
 BSC32_SBRS= \
-	
+	"$(INTDIR)\squid_ldap_auth.sbr"
+
+"$(OUTDIR)\LDAP_auth.bsc" : "$(OUTDIR)" $(BSC32_SBRS)
+    $(BSC32) @<<
+  $(BSC32_FLAGS) $(BSC32_SBRS)
+<<
+
 LINK32=link.exe
-LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib advapi32.lib wldap32.lib /nologo /dll /incremental:yes /pdb:"$(OUTDIR)\LDAP_auth.pdb" /debug /machine:I386 /out:"$(OUTDIR)\LDAP_auth.dll" /implib:"$(OUTDIR)\LDAP_auth.lib" /pdbtype:sept 
+LINK32_FLAGS=kernel32.lib wldap32.lib /nologo /subsystem:console /incremental:yes /pdb:"$(OUTDIR)\LDAP_auth.pdb" /debug /machine:I386 /out:"$(OUTDIR)\LDAP_auth.exe" /pdbtype:sept 
 LINK32_OBJS= \
 	"$(INTDIR)\squid_ldap_auth.obj" \
 	"$(INTDIR)\LDAP_auth.res" \
 	"..\..\win\miscutil\Debug\miscutil.lib"
 
-"$(OUTDIR)\LDAP_auth.dll" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
+"$(OUTDIR)\LDAP_auth.exe" : "$(OUTDIR)" $(DEF_FILE) $(LINK32_OBJS)
     $(LINK32) @<<
   $(LINK32_FLAGS) $(LINK32_OBJS)
 <<
@@ -166,6 +170,7 @@
    $(CPP_PROJ) $< 
 <<
 
+MTL_PROJ=
 
 !IF "$(NO_EXTERNAL_DEPS)" != "1"
 !IF EXISTS("LDAP_auth.dep")
@@ -179,9 +184,20 @@
 !IF "$(CFG)" == "LDAP_auth - Win32 Release" || "$(CFG)" == "LDAP_auth - Win32 Debug"
 SOURCE=.\squid_ldap_auth.c
 
+!IF  "$(CFG)" == "LDAP_auth - Win32 Release"
+
+
 "$(INTDIR)\squid_ldap_auth.obj" : $(SOURCE) "$(INTDIR)"
 
 
+!ELSEIF  "$(CFG)" == "LDAP_auth - Win32 Debug"
+
+
+"$(INTDIR)\squid_ldap_auth.obj"	"$(INTDIR)\squid_ldap_auth.sbr" : $(SOURCE) "$(INTDIR)"
+
+
+!ENDIF 
+
 SOURCE=.\LDAP_auth.rc
 
 "$(INTDIR)\LDAP_auth.res" : $(SOURCE) "$(INTDIR)"
@@ -191,25 +207,25 @@
 !IF  "$(CFG)" == "LDAP_auth - Win32 Release"
 
 "miscutil - Win32 Release" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Release" 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" 
    cd "..\..\auth_modules\LDAP"
 
 "miscutil - Win32 ReleaseCLEAN" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Release" RECURSE=1 CLEAN 
    cd "..\..\auth_modules\LDAP"
 
 !ELSEIF  "$(CFG)" == "LDAP_auth - Win32 Debug"
 
 "miscutil - Win32 Debug" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Debug" 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" 
    cd "..\..\auth_modules\LDAP"
 
 "miscutil - Win32 DebugCLEAN" : 
-   cd "\work\nt-2.3\win\miscutil"
-   $(MAKE) /$(MAKEFLAGS) /F ".\miscutil.mak" CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
+   cd "\work\squidnt23\win\miscutil"
+   $(MAKE) /$(MAKEFLAGS) /F .\miscutil.mak CFG="miscutil - Win32 Debug" RECURSE=1 CLEAN 
    cd "..\..\auth_modules\LDAP"
 
 !ENDIF 
Index: squid/auth_modules/LDAP/LDAP_auth.rc
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/LDAP/Attic/LDAP_auth.rc,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/auth_modules/LDAP/LDAP_auth.rc	6 Jan 2001 12:48:44 -0000	1.1.2.1
+++ squid/auth_modules/LDAP/LDAP_auth.rc	27 Aug 2001 21:48:15 -0000	1.1.2.1.2.1
@@ -13,11 +13,11 @@
 #undef APSTUDIO_READONLY_SYMBOLS
 
 /////////////////////////////////////////////////////////////////////////////
-// Italian (Italy) resources
+// English (U.S.) resources
 
-#if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_ITA)
+#if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_ENU)
 #ifdef _WIN32
-LANGUAGE LANG_ITALIAN, SUBLANG_ITALIAN
+LANGUAGE LANG_ENGLISH, SUBLANG_ENGLISH_US
 #pragma code_page(1252)
 #endif //_WIN32
 
@@ -49,13 +49,13 @@
             VALUE "FileDescription", "SquidNT - LDAP Authenticator DLL plug-in\0"
             VALUE "FileVersion", "1, 0, 0, 1\0"
             VALUE "InternalName", "LDAP_auth\0"
-            VALUE "LegalCopyright", "Romeo Anghelache & Guido Serassio\0"
+            VALUE "LegalCopyright", "Romeo Anghelache, Guido Serassio & Andrey Shorin\0"
             VALUE "LegalTrademarks", "GNU gpl\0"
-            VALUE "OriginalFilename", "LDAP_auth.dll\0"
-            VALUE "PrivateBuild", "STABLE4\0"
+            VALUE "OriginalFilename", "LDAP_auth.exe\0"
+            VALUE "PrivateBuild", "STABLE5\0"
             VALUE "ProductName", "Squid Proxy Server for Windows NT\0"
             VALUE "ProductVersion", "2.3\0"
-            VALUE "SpecialBuild", "STABLE4\0"
+            VALUE "SpecialBuild", "STABLE5\0"
         END
     END
     BLOCK "VarFileInfo"
@@ -66,6 +66,18 @@
 
 #endif    // !_MAC
 
+#endif    // English (U.S.) resources
+/////////////////////////////////////////////////////////////////////////////
+
+
+/////////////////////////////////////////////////////////////////////////////
+// Italian (Italy) resources
+
+#if !defined(AFX_RESOURCE_DLL) || defined(AFX_TARG_ITA)
+#ifdef _WIN32
+LANGUAGE LANG_ITALIAN, SUBLANG_ITALIAN
+#pragma code_page(1252)
+#endif //_WIN32
 
 #ifdef APSTUDIO_INVOKED
 /////////////////////////////////////////////////////////////////////////////
Index: squid/auth_modules/LDAP/squid_ldap_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/LDAP/Attic/squid_ldap_auth.c,v
retrieving revision 1.1.1.1.56.1
retrieving revision 1.1.1.1.56.1.2.1
diff -u -r1.1.1.1.56.1 -r1.1.1.1.56.1.2.1
--- squid/auth_modules/LDAP/squid_ldap_auth.c	6 Jan 2001 12:40:08 -0000	1.1.1.1.56.1
+++ squid/auth_modules/LDAP/squid_ldap_auth.c	27 Aug 2001 21:48:15 -0000	1.1.1.1.56.1.2.1
@@ -1,7 +1,5 @@
 /*
-
   squid_ldap_auth: authentication via ldap for squid proxy server
-     
   Author: Glen Newton 
 	  glen.newton@nrc.ca
           Advanced Services 
@@ -23,6 +21,7 @@
 #undef sprintf
 #include <stdio.h>
 #ifdef _SQUID_MSWIN_
+#define OPTIONAL
 #include <winldap.h>
 #else
 #include <lber.h>
@@ -30,153 +29,77 @@
 #include <ldap.h>
 #endif
 
-typedef struct {
+typedef struct
+{
     void *data;
     acl_proxy_auth_user *auth_user;
     RH *handler;
-} authenticateStateData;
+}
+authenticateStateData;
 
 
 /* Change this to your search base */
 #define SEARCHBASE "ou=people,o=nrc.ca"
 
-int checkLDAP(LDAP *ld, char *userid, char *password);
-
-#ifdef _SQUID_MSWIN_
-
-static char *ldapServer=NULL;
-
-
-BOOL APIENTRY DllMain (HINSTANCE hInst, DWORD reason, 
-                       LPVOID reserved /* Not used. */ );
+int checkLDAP(LDAP * ld, char *userid, char *password);
 
-__declspec (dllexport) int 
-Authenticate(char *username, char *password, authenticateStateData *data, HLPCB callback)
+int
+main(int argc, char **argv)
 {
-	LDAP *ld;
-
-#else
-int main(int argc, char **argv)
-{
-	char buf[256]; 
-	char *username, *password, *p;
-	char *ldapServer;
-	LDAP *ld;
-
-	setbuf(stdout, NULL);
-
-	if (argc != 2) 
-    {
-		fprintf(stderr, "Usage: squid_ldap_auth ldap_server_name\n");
-		exit(1);
+    char buf[256];
+    char *username, *password, *p;
+    char *ldapServer;
+    LDAP *ld;
+
+    setbuf(stdout, NULL);
+
+    if (argc != 2) {
+	fprintf(stderr, "Usage: squid_ldap_auth ldap_server_name\n");
+	exit(1);
     }
 
-	ldapServer = (char*)argv[1];
-  
-	while (fgets(buf, 256, stdin) != NULL) 
-    {
-		/* You can put this ldap connect outside the loop, but i didn't want to 
-		have the connection open too much. If you have a site which will 
-		be doing >1 authentication per second, you should move this (and the 
-		below ldap_unbind()) outside the loop. 
-		*/
-#endif
-		if( (ld = ldap_init(ldapServer, LDAP_PORT)) == NULL)
-		{
-#ifndef _SQUID_MSWIN_
-			fprintf(stderr, "\nUnable to connect to LDAP server:%s port:%d\n",
-			ldapServer, LDAP_PORT);
-			exit(1);
-#else
-			(callback)(data,"ERR");
-   			return 0;
-#endif
-		}
-#ifndef _SQUID_MSWIN_
-		if ((p = strchr(buf, '\n')) != NULL)
-			*p = '\0';		/* strip \n */
-
-		if ((username = strtok(buf, " ")) == NULL) 
-		{
-			printf("ERR\n");
-			continue;
-		}
-		if ((password = strtok(NULL, "")) == NULL) 
-		{
-			printf("ERR\n");
-			continue;
-		}
-#endif
-		if(checkLDAP(ld, username, password) != 0)
-		{
-#ifndef _SQUID_MSWIN_
-			printf("ERR\n");
-			continue;
-#else
-			ldap_unbind(ld);
-			(callback)(data,"ERR");
-   			return 0;
-#endif
-		}
-		else
-		{
-#ifndef _SQUID_MSWIN_
-			printf("OK\n");
-		}      
-		ldap_unbind(ld);
-	}
-#else
-			ldap_unbind(ld);
-			(callback)(data,"OK");
-   			return 0;
-		}
-#endif
-}
-
-int checkLDAP(LDAP *ld, char *userid, char *password)
-{
-	char buffer[256];
-
-	sprintf (buffer, "uid=%s, %s", userid, SEARCHBASE);
-  
-	if(ldap_simple_bind_s(ld, buffer, password) != LDAP_SUCCESS)
-    	return 1;
-	return 0;
-}
+    ldapServer = (char *) argv[1];
 
-#ifdef _SQUID_MSWIN_
+    while (fgets(buf, 256, stdin) != NULL) {
+	/* You can put this ldap connect outside the loop, but i didn't want to 
+	 * have the connection open too much. If you have a site which will 
+	 * be doing >1 authentication per second, you should move this (and the 
+	 * below ldap_unbind()) outside the loop. 
+	 */
+	if ((ld = ldap_init(ldapServer, LDAP_PORT)) == NULL) {
+	    fprintf(stderr, "\nUnable to connect to LDAP server:%s port:%d\n",
+		ldapServer, LDAP_PORT);
+	    exit(1);
+	}
+	if ((p = strchr(buf, '\n')) != NULL)
+	    *p = '\0';		/* strip \n */
 
-__declspec (dllexport) int Init(char *Server)
-{
-	if (ldapServer)
-		xfree(ldapServer);
-	ldapServer = xstrdup(Server);
-	return 0;
+	if ((username = strtok(buf, " ")) == NULL) {
+	    printf("ERR\n");
+	    continue;
+	}
+	if ((password = strtok(NULL, "")) == NULL) {
+	    printf("ERR\n");
+	    continue;
+	}
+	if (checkLDAP(ld, username, password) != 0) {
+	    printf("ERR\n");
+	    continue;
+	} else {
+	    printf("OK\n");
+	}
+	ldap_unbind(ld);
+    }
 }
 
-
-BOOL APIENTRY
-DllMain (
-	 HINSTANCE hInst /* Library instance handle. */ ,
-	 DWORD reason /* Reason this function is being called. */ ,
-	 LPVOID reserved /* Not used. */ )
+int
+checkLDAP(LDAP * ld, char *userid, char *password)
 {
+    char buffer[256];
 
-	switch (reason)
-    {
-    	case DLL_PROCESS_ATTACH:
-    	  	break;
-
-		case DLL_PROCESS_DETACH:
-			break;
+    sprintf(buffer, "uid=%s, %s", userid, SEARCHBASE);
 
-    	case DLL_THREAD_ATTACH:
-      		break;
-
-		case DLL_THREAD_DETACH:
-      		break;
-    }
-  	return TRUE;
+    if (ldap_simple_bind_s(ld, buffer, password) != LDAP_SUCCESS)
+	return 1;
+    return 0;
 }
-
-#endif
Index: squid/auth_modules/MSNT/denyusers.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/denyusers.c,v
retrieving revision 1.1.16.1
retrieving revision 1.1.16.1.6.1
diff -u -r1.1.16.1 -r1.1.16.1.6.1
--- squid/auth_modules/MSNT/denyusers.c	15 Jul 2000 20:50:07 -0000	1.1.16.1
+++ squid/auth_modules/MSNT/denyusers.c	27 Aug 2001 21:48:15 -0000	1.1.16.1.6.1
@@ -1,4 +1,3 @@
-
 /*
  * denyusers.c
  * (C) 2000 Antonino Iannella, Stellar-X Pty Ltd
@@ -39,7 +38,7 @@
  * Logs any messages to the syslog daemon.
  */
 
-int 
+int
 Read_denyusers()
 {
     FILE *DFile;		/* DENYUSER file pointer */
@@ -77,13 +76,15 @@
     free(DeniedUsers);
 
     if ((DeniedUsers = malloc(sizeof(char) * (DenyUserSize + 1))) == NULL) {
-	syslog(LOG_USER | LOG_ERR, "Read_denyusers: malloc(DeniedUsers) failed.");
+	syslog(LOG_USER | LOG_ERR,
+	    "Read_denyusers: malloc(DeniedUsers) failed.");
 	return 1;
     }
     /* Open the DENYUSERS file. Report any errors. */
 
     if ((DFile = fopen(DENYUSERS, "r")) == NULL) {
-	syslog(LOG_USER | LOG_ERR, "Read_denyusers: Failed to open denied user file.");
+	syslog(LOG_USER | LOG_ERR,
+	    "Read_denyusers: Failed to open denied user file.");
 	syslog(LOG_USER | LOG_ERR, strerror(errno));
 	return 1;
     }
@@ -111,7 +112,7 @@
  * Returns 0 if the user was not found, and 1 if they were.
  */
 
-int 
+int
 Check_user(char *ConnectingUser)
 {
     static char CUBuf[NAMELEN + 1];
@@ -150,7 +151,7 @@
  * signal.
  */
 
-void 
+void
 Checkforchange()
 {
     struct stat ChkBuf;		/* Stat data buffer */
@@ -176,7 +177,8 @@
      * Log a message of its actions. */
 
     if (ChkBuf.st_mtime != LastModTime) {
-	syslog(LOG_USER | LOG_INFO, "Checkforchange: Reloading denied user list.");
+	syslog(LOG_USER | LOG_INFO,
+	    "Checkforchange: Reloading denied user list.");
 	Read_denyusers();
     }
 }
Index: squid/auth_modules/MSNT/md4.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/md4.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.62.1
diff -u -r1.1.1.1 -r1.1.1.1.62.1
--- squid/auth_modules/MSNT/md4.c	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/auth_modules/MSNT/md4.c	27 Aug 2001 21:48:15 -0000	1.1.1.1.62.1
@@ -29,25 +29,29 @@
 
 static uint32 A, B, C, D;
 
-static uint32 F(uint32 X, uint32 Y, uint32 Z)
+static uint32
+F(uint32 X, uint32 Y, uint32 Z)
 {
-	return (X&Y) | ((~X)&Z);
+    return (X & Y) | ((~X) & Z);
 }
 
-static uint32 G(uint32 X, uint32 Y, uint32 Z)
+static uint32
+G(uint32 X, uint32 Y, uint32 Z)
 {
-	return (X&Y) | (X&Z) | (Y&Z); 
+    return (X & Y) | (X & Z) | (Y & Z);
 }
 
-static uint32 H(uint32 X, uint32 Y, uint32 Z)
+static uint32
+H(uint32 X, uint32 Y, uint32 Z)
 {
-	return X^Y^Z;
+    return X ^ Y ^ Z;
 }
 
-static uint32 lshift(uint32 x, int s)
+static uint32
+lshift(uint32 x, int s)
 {
-	x &= 0xFFFFFFFF;
-	return ((x<<s)&0xFFFFFFFF) | (x>>(32-s));
+    x &= 0xFFFFFFFF;
+    return ((x << s) & 0xFFFFFFFF) | (x >> (32 - s));
 }
 
 #define ROUND1(a,b,c,d,k,s) a = lshift(a + F(b,c,d) + X[k], s)
@@ -55,117 +59,151 @@
 #define ROUND3(a,b,c,d,k,s) a = lshift(a + H(b,c,d) + X[k] + (uint32)0x6ED9EBA1,s)
 
 /* this applies md4 to 64 byte chunks */
-static void mdfour64(uint32 *M)
+static void
+mdfour64(uint32 * M)
 {
-	int j;
-	uint32 AA, BB, CC, DD;
-	uint32 X[16];
-
-	for (j=0;j<16;j++)
-		X[j] = M[j];
-
-	AA = A; BB = B; CC = C; DD = D;
-
-        ROUND1(A,B,C,D,  0,  3);  ROUND1(D,A,B,C,  1,  7);  
-	ROUND1(C,D,A,B,  2, 11);  ROUND1(B,C,D,A,  3, 19);
-        ROUND1(A,B,C,D,  4,  3);  ROUND1(D,A,B,C,  5,  7);  
-	ROUND1(C,D,A,B,  6, 11);  ROUND1(B,C,D,A,  7, 19);
-        ROUND1(A,B,C,D,  8,  3);  ROUND1(D,A,B,C,  9,  7);  
-	ROUND1(C,D,A,B, 10, 11);  ROUND1(B,C,D,A, 11, 19);
-        ROUND1(A,B,C,D, 12,  3);  ROUND1(D,A,B,C, 13,  7);  
-	ROUND1(C,D,A,B, 14, 11);  ROUND1(B,C,D,A, 15, 19);	
-
-        ROUND2(A,B,C,D,  0,  3);  ROUND2(D,A,B,C,  4,  5);  
-	ROUND2(C,D,A,B,  8,  9);  ROUND2(B,C,D,A, 12, 13);
-        ROUND2(A,B,C,D,  1,  3);  ROUND2(D,A,B,C,  5,  5);  
-	ROUND2(C,D,A,B,  9,  9);  ROUND2(B,C,D,A, 13, 13);
-        ROUND2(A,B,C,D,  2,  3);  ROUND2(D,A,B,C,  6,  5);  
-	ROUND2(C,D,A,B, 10,  9);  ROUND2(B,C,D,A, 14, 13);
-        ROUND2(A,B,C,D,  3,  3);  ROUND2(D,A,B,C,  7,  5);  
-	ROUND2(C,D,A,B, 11,  9);  ROUND2(B,C,D,A, 15, 13);
-
-	ROUND3(A,B,C,D,  0,  3);  ROUND3(D,A,B,C,  8,  9);  
-	ROUND3(C,D,A,B,  4, 11);  ROUND3(B,C,D,A, 12, 15);
-        ROUND3(A,B,C,D,  2,  3);  ROUND3(D,A,B,C, 10,  9);  
-	ROUND3(C,D,A,B,  6, 11);  ROUND3(B,C,D,A, 14, 15);
-        ROUND3(A,B,C,D,  1,  3);  ROUND3(D,A,B,C,  9,  9);  
-	ROUND3(C,D,A,B,  5, 11);  ROUND3(B,C,D,A, 13, 15);
-        ROUND3(A,B,C,D,  3,  3);  ROUND3(D,A,B,C, 11,  9);  
-	ROUND3(C,D,A,B,  7, 11);  ROUND3(B,C,D,A, 15, 15);
-
-	A += AA; B += BB; C += CC; D += DD;
-	
-	A &= 0xFFFFFFFF; B &= 0xFFFFFFFF;
-	C &= 0xFFFFFFFF; D &= 0xFFFFFFFF;
-
-	for (j=0;j<16;j++)
-		X[j] = 0;
-}
-
-static void copy64(uint32 *M, unsigned char *in)
-{
-	int i;
-
-	for (i=0;i<16;i++)
-		M[i] = (in[i*4+3]<<24) | (in[i*4+2]<<16) |
-			(in[i*4+1]<<8) | (in[i*4+0]<<0);
-}
-
-static void copy4(unsigned char *out,uint32 x)
-{
-	out[0] = x&0xFF;
-	out[1] = (x>>8)&0xFF;
-	out[2] = (x>>16)&0xFF;
-	out[3] = (x>>24)&0xFF;
+    int j;
+    uint32 AA, BB, CC, DD;
+    uint32 X[16];
+
+    for (j = 0; j < 16; j++)
+	X[j] = M[j];
+
+    AA = A;
+    BB = B;
+    CC = C;
+    DD = D;
+
+    ROUND1(A, B, C, D, 0, 3);
+    ROUND1(D, A, B, C, 1, 7);
+    ROUND1(C, D, A, B, 2, 11);
+    ROUND1(B, C, D, A, 3, 19);
+    ROUND1(A, B, C, D, 4, 3);
+    ROUND1(D, A, B, C, 5, 7);
+    ROUND1(C, D, A, B, 6, 11);
+    ROUND1(B, C, D, A, 7, 19);
+    ROUND1(A, B, C, D, 8, 3);
+    ROUND1(D, A, B, C, 9, 7);
+    ROUND1(C, D, A, B, 10, 11);
+    ROUND1(B, C, D, A, 11, 19);
+    ROUND1(A, B, C, D, 12, 3);
+    ROUND1(D, A, B, C, 13, 7);
+    ROUND1(C, D, A, B, 14, 11);
+    ROUND1(B, C, D, A, 15, 19);
+
+    ROUND2(A, B, C, D, 0, 3);
+    ROUND2(D, A, B, C, 4, 5);
+    ROUND2(C, D, A, B, 8, 9);
+    ROUND2(B, C, D, A, 12, 13);
+    ROUND2(A, B, C, D, 1, 3);
+    ROUND2(D, A, B, C, 5, 5);
+    ROUND2(C, D, A, B, 9, 9);
+    ROUND2(B, C, D, A, 13, 13);
+    ROUND2(A, B, C, D, 2, 3);
+    ROUND2(D, A, B, C, 6, 5);
+    ROUND2(C, D, A, B, 10, 9);
+    ROUND2(B, C, D, A, 14, 13);
+    ROUND2(A, B, C, D, 3, 3);
+    ROUND2(D, A, B, C, 7, 5);
+    ROUND2(C, D, A, B, 11, 9);
+    ROUND2(B, C, D, A, 15, 13);
+
+    ROUND3(A, B, C, D, 0, 3);
+    ROUND3(D, A, B, C, 8, 9);
+    ROUND3(C, D, A, B, 4, 11);
+    ROUND3(B, C, D, A, 12, 15);
+    ROUND3(A, B, C, D, 2, 3);
+    ROUND3(D, A, B, C, 10, 9);
+    ROUND3(C, D, A, B, 6, 11);
+    ROUND3(B, C, D, A, 14, 15);
+    ROUND3(A, B, C, D, 1, 3);
+    ROUND3(D, A, B, C, 9, 9);
+    ROUND3(C, D, A, B, 5, 11);
+    ROUND3(B, C, D, A, 13, 15);
+    ROUND3(A, B, C, D, 3, 3);
+    ROUND3(D, A, B, C, 11, 9);
+    ROUND3(C, D, A, B, 7, 11);
+    ROUND3(B, C, D, A, 15, 15);
+
+    A += AA;
+    B += BB;
+    C += CC;
+    D += DD;
+
+    A &= 0xFFFFFFFF;
+    B &= 0xFFFFFFFF;
+    C &= 0xFFFFFFFF;
+    D &= 0xFFFFFFFF;
+
+    for (j = 0; j < 16; j++)
+	X[j] = 0;
+}
+
+static void
+copy64(uint32 * M, unsigned char *in)
+{
+    int i;
+
+    for (i = 0; i < 16; i++)
+	M[i] = (in[i * 4 + 3] << 24) | (in[i * 4 + 2] << 16) |
+	    (in[i * 4 + 1] << 8) | (in[i * 4 + 0] << 0);
+}
+
+static void
+copy4(unsigned char *out, uint32 x)
+{
+    out[0] = x & 0xFF;
+    out[1] = (x >> 8) & 0xFF;
+    out[2] = (x >> 16) & 0xFF;
+    out[3] = (x >> 24) & 0xFF;
 }
 
 /* produce a md4 message digest from data of length n bytes */
-void mdfour(unsigned char *out, unsigned char *in, int n)
+void
+mdfour(unsigned char *out, unsigned char *in, int n)
 {
-	unsigned char buf[128];
-	uint32 M[16];
-	uint32 b = n * 8;
-	int i;
-
-	A = 0x67452301;
-	B = 0xefcdab89;
-	C = 0x98badcfe;
-	D = 0x10325476;
-
-	while (n > 64) {
-		copy64(M, in);
-		mdfour64(M);
-		in += 64;
-		n -= 64;
-	}
-
-	for (i=0;i<128;i++)
-		buf[i] = 0;
-	memcpy(buf, in, n);
-	buf[n] = 0x80;
-	
-	if (n <= 55) {
-		copy4(buf+56, b);
-		copy64(M, buf);
-		mdfour64(M);
-	} else {
-		copy4(buf+120, b); 
-		copy64(M, buf);
-		mdfour64(M);
-		copy64(M, buf+64);
-		mdfour64(M);
-	}
+    unsigned char buf[128];
+    uint32 M[16];
+    uint32 b = n * 8;
+    int i;
+
+    A = 0x67452301;
+    B = 0xefcdab89;
+    C = 0x98badcfe;
+    D = 0x10325476;
+
+    while (n > 64) {
+	copy64(M, in);
+	mdfour64(M);
+	in += 64;
+	n -= 64;
+    }
+
+    for (i = 0; i < 128; i++)
+	buf[i] = 0;
+    memcpy(buf, in, n);
+    buf[n] = 0x80;
 
-	for (i=0;i<128;i++)
-		buf[i] = 0;
+    if (n <= 55) {
+	copy4(buf + 56, b);
 	copy64(M, buf);
+	mdfour64(M);
+    } else {
+	copy4(buf + 120, b);
+	copy64(M, buf);
+	mdfour64(M);
+	copy64(M, buf + 64);
+	mdfour64(M);
+    }
+
+    for (i = 0; i < 128; i++)
+	buf[i] = 0;
+    copy64(M, buf);
+
+    copy4(out, A);
+    copy4(out + 4, B);
+    copy4(out + 8, C);
+    copy4(out + 12, D);
 
-	copy4(out, A);
-	copy4(out+4, B);
-	copy4(out+8, C);
-	copy4(out+12, D);
-
-	A = B = C = D = 0;
+    A = B = C = D = 0;
 }
-
-
Index: squid/auth_modules/MSNT/rfcnb-common.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/rfcnb-common.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.30.1
diff -u -r1.1.1.1 -r1.1.1.1.30.1
--- squid/auth_modules/MSNT/rfcnb-common.h	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/auth_modules/MSNT/rfcnb-common.h	27 Aug 2001 21:48:15 -0000	1.1.1.1.30.1
@@ -1,5 +1,4 @@
 /* UNIX RFCNB (RFC1001/RFC1002) NetBIOS implementation
-
    Version 1.0
    RFCNB Common Structures etc Defines
 
@@ -25,12 +24,12 @@
 
 /* A data structure we need */
 
-typedef struct RFCNB_Pkt {
-
-  char * data;			/* The data in this portion */
-  int len;
-  struct RFCNB_Pkt *next;
-
-} RFCNB_Pkt;
+typedef struct RFCNB_Pkt
+{
 
+    char *data;			/* The data in this portion */
+    int len;
+    struct RFCNB_Pkt *next;
 
+}
+RFCNB_Pkt;
